apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  name: prod-gatus-db
  namespace: uptime
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:17
  storage:
    resizeInUseVolumes: true
    size: 15Gi
  backup:
    retentionPolicy: 30d
    target: prefer-standby
